Package ru.nilsoft.tm

# Class TMCommand.dynamic_status_flags

java.lang.Object
ru.nilsoft.tm.TMCommand.dynamic_status_flags

Enclosing class:
  `TMCommand`

public static final class TMCommand.dynamic_status_flags extends Object
Флаги динамического статуса контроллера ФН.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BUFFER_FULL`
  Бит в 1: Заполнен буфер контроллера.
  `static final int`
  `FISCAL_DOC_MASK`
  Маска для получения состояния фискального документа.
  `static final int`
  `FN_END`
  Бит в 1: ФН исчерпан.
  `static final int`
  `FN_FULL`
  Бит в 1: ФН близок к концу.
  `static final int`
  `NEED_TO_CLOSE_SHIFT`
  Бит в 1: Необходимо закрыть смену.
  `static final int`
  `PASS_NOT_VALID`
  Бит в 0: Префикс правильный.
  `static final int`
  `PREV_CMD_NOT_COMPLETE`
  Бит в 0: Предыдущая команда завершена.
  `static final int`
  `PREV_CMD_NOT_VALID`
  Бит в 0: Предыдущая команда правильная.
  `static final int`
  `SESSION_NOT_CLOSE`
  Бит в 0: Сессия закрыта.
  `static final int`
  `SHIFT_NOT_CLOSE`
  Бит в 0: Смена закрыта.
  `static final int`
  `TECH_MODE`
  Бит в 1: Контроллер в технологическом режиме (монитор).
  `static final int`
  `UPD_ON`
  Бит в 1: УПД работает (возможен только на виртуальных КФН или стационарных ККТ).
  `static final int`
  `UPD_PRESENT`
  Бит в 1: УПД подключено к ККТ (возможен только на виртуальных КФН или стационарных ККТ).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `dynamic_status_flags()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FISCAL_DOC_MASK

    public static final int FISCAL_DOC_MASK
    Маска для получения состояния фискального документа.
    See Also:
      - Constant Field Values

  - ### NEED_TO_CLOSE_SHIFT

    public static final int NEED_TO_CLOSE_SHIFT
    Бит в 1: Необходимо закрыть смену.
    See Also:
      - Constant Field Values

  - ### PREV_CMD_NOT_VALID

    public static final int PREV_CMD_NOT_VALID
    Бит в 0: Предыдущая команда правильная.
    See Also:
      - Constant Field Values

  - ### PREV_CMD_NOT_COMPLETE

    public static final int PREV_CMD_NOT_COMPLETE
    Бит в 0: Предыдущая команда завершена.
    See Also:
      - Constant Field Values

  - ### PASS_NOT_VALID

    public static final int PASS_NOT_VALID
    Бит в 0: Префикс правильный.
    See Also:
      - Constant Field Values

  - ### SESSION_NOT_CLOSE

    public static final int SESSION_NOT_CLOSE
    Бит в 0: Сессия закрыта.
    See Also:
      - Constant Field Values

  - ### TECH_MODE

    public static final int TECH_MODE
    Бит в 1: Контроллер в технологическом режиме (монитор).
    See Also:
      - Constant Field Values

  - ### BUFFER_FULL

    public static final int BUFFER_FULL
    Бит в 1: Заполнен буфер контроллера.
    See Also:
      - Constant Field Values

  - ### SHIFT_NOT_CLOSE

    public static final int SHIFT_NOT_CLOSE
    Бит в 0: Смена закрыта.
    See Also:
      - Constant Field Values

  - ### UPD_PRESENT

    public static final int UPD_PRESENT
    Бит в 1: УПД подключено к ККТ (возможен только на виртуальных КФН или стационарных ККТ).
    See Also:
      - Constant Field Values

  - ### UPD_ON

    public static final int UPD_ON
    Бит в 1: УПД работает (возможен только на виртуальных КФН или стационарных ККТ).
    See Also:
      - Constant Field Values

  - ### FN_FULL

    public static final int FN_FULL
    Бит в 1: ФН близок к концу.
    See Also:
      - Constant Field Values

  - ### FN_END

    public static final int FN_END
    Бит в 1: ФН исчерпан.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### dynamic_status_flags

    public dynamic_status_flags()